- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Resource and Permission Management
- /
- Check if User Has Permission for Resource Action
¶ Determine whether the user has permission to perform a certain operation on a certain resource
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Determine whether the user has permission to perform a certain operation on a certain resource.
¶ Method name
ManagementClient.is_action_allowed
¶ Request parameters
| Name | Type | Is it required? | Default value | Description | Sample value |
|---|---|---|---|---|---|
| resource | string | Yes | - | Resource identifier | ecs:1 |
| action | string | Yes | - | Action corresponding to the resource | ecs:Start |
| userId | string | Yes | - | User ID | userId1 |
| namespace | string | No | - | Code of the permission group (permission space). Do not pass to obtain the default permission group. | default |
¶ Request Response
Type: IsActionAllowedRespDtp
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsActionAllowedDataDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"allowed": true
}
}
¶ Data Structure
¶ IsActionAllowedDataDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| allowed | boolean | yes | is it allowed | true |
